Cyberduck Mountain Duck CLI

#11001 closed defect (fixed)

Maximum number of simultaneous transfers not handled properly

Reported by: jdevrie Owned by: dkocher
Priority: high Milestone: 7.9.1
Component: core Version: 7.2.5
Severity: major Keywords: error simultaneous transfers
Cc: Architecture: Intel
Platform: Windows 10

Description (last modified by KiddBarba)

The number of simultaneous transfers is not handled properly. It can end up in not downloading anything anymore while there are still transfers queued. When changing the number in the box at the bottom of the transfers window up and down at some time nothing changes anymore in the real amount of transfers . When some time later all active transfers have ended the transfers still queued are all in the ""maximum allowed connections exceeded. Waiting..." state and none of those transfers are becoming active. So nothing is transfered anymore.

What I have also seen is that the maximum # transfers is set to a certain nunber and there are already more transfers active thenthe nunber is the selct box but when I increase the maximum more transfers become active despite the fact that the number of active transfers was higher than the maximum in the box.

[UPDATE v.7.9.0]: When queued transfers in the download box are stopped then resumed, CyberDuck stops limiting the maximum number of transfers allowed. It downloads all transfers simultaneously instead of queuing them.

Change History (7)

comment:1 Changed on Mar 26, 2020 at 8:49:17 PM by dkocher

  • Component changed from webdav to core
  • Summary changed from Maximum Number of simultaneous transfers not handled properly on Webdav connection to Maximum number of simultaneous transfers not handled properly

comment:2 Changed on Apr 9, 2021 at 7:59:26 AM by dkocher

  • Milestone set to 7.8.6
  • Owner set to dkocher
  • Status changed from new to assigned

comment:3 Changed on Apr 12, 2021 at 5:53:25 PM by dkocher

  • Resolution set to fixed
  • Status changed from assigned to closed

In r50901.

comment:4 Changed on Apr 29, 2021 at 5:27:41 PM by dkocher

  • Milestone changed from 7.8.6 to 7.9.0

Milestone renamed

comment:5 Changed on May 13, 2021 at 12:08:41 PM by KiddBarba

  • Description modified (diff)
  • Resolution fixed deleted
  • Status changed from closed to reopened

comment:6 Changed on May 13, 2021 at 12:10:01 PM by KiddBarba

  • Description modified (diff)

comment:7 Changed on May 25, 2021 at 12:07:42 PM by dkocher

  • Milestone changed from 7.9.0 to 7.9.1
  • Resolution set to fixed
  • Status changed from reopened to closed

Additional fix in r51297.

Note: See TracTickets for help on using tickets.